/*
 * @Date: 2023-09-11 11:10:21
 * @LastEditors: 陈禹琨 chenyukun@prolog-int.com
 * @LastEditTime: 2023-10-07 10:51:38
 * @FilePath: /eis-3.0-fe-pc/src/views/EIS/project/qingniuEIS/conservation/api/index.js
 * @Description: cyk
 */
import request from '@/utils/request'
import qs from 'qs'
import { QN_BASEURL } from '../../serviceSettings'
const baseUrl = QN_BASEURL
// 站台号
export function checkStation(parameter) {
  return request({
    method: 'get',
    url: baseUrl + '/api/v1/pc/pdStationList',
    data: parameter,
  })
}

// 养护确认
export function pdTaskConfirm(parameter) {
  return request({
    method: 'post',
    url: baseUrl + '/api/v1/pc/pdTaskConfirm',
    data: parameter,
  })
}

//货架归还
export function goodsShelvesReturn(parameter) {
  return request({
    method: 'post',
    url: baseUrl + '/api/v1/pc/pdTaskContainerReturn',
    data: parameter,
  })
}
// 任务领取
export function getMaintainTasks(parameter) {
  return request({
    method: 'post',
    url: baseUrl + '/api/v1/pc/getPdTask',
    data: parameter,
  })
}

// 自动叫车
export function autoCallRcs(parameter) {
  return request({
    method: 'post',
    url: '/kz/inboundService/autoCallRcs',
    data: parameter,
  })
}

// 养护结论
export function getMaintainMsgInfo(parameter) {
  return request({
    method: 'post',
    url: '/kz/maintain/getMaintainMsgInfo',
    data: parameter,
  })
}
// 查看图片
export function queryImages(parameter) {
  return request({
    method: 'post',
    url: '/kz/maintain/queryImages',
    data: parameter,
  })
}
// /api/v1/pc/pdStationCheck 选择站台后校验站台

export function pdStationCheck(parameter) {
  return request({
    method: 'get',
    url: baseUrl + '/api/v1/pc/pdStationCheck',
    params: parameter,
  })
}
